<?php

////////////////////////////////////////////////////////////////////////////////
// Recent Comments
////////////////////////////////////////////////////////////////////////////////
function mw_recent_comments(
	$no_comments = 10,
	$show_pass_post = false,
	$title_length = 100, 	// shortens the title if it is longer than this number of chars
	$author_length = 30,	// shortens the author if it is longer than this number of chars
	$wordwrap_length = 50, // adds a blank if word is longer than this number of chars
	$type = 'all', 	// Comments, trackbacks, or both?
	$format = '<li>%date%: <a href="%permalink%" title="%title%">%title%</a> (von %author_full%)</li>',
	$date_format = 'd.m',
	$none_found = '<li>Keine Kommentare vorhanden.</li>',	// None found
	$type_text_pingback = 'Pingback von',
	$type_text_trackback = 'Trackback von',
	$type_text_comment = 'von'

	) {

	//Language...
	$mwlang_anonymous = 'Anonym'; // Anonymous
	$mwlang_authorurl_title_before = 'Webseite von &lsaquo;';
	$mwlang_authorurl_title_after = '&rsaquo; besuchen';


    global $wpdb;

    $request = "SELECT ID, comment_ID, comment_content, comment_author, comment_author_url, comment_date, post_title, comment_type
				FROM $wpdb->comments LEFT JOIN $wpdb->posts ON $wpdb->posts.ID=$wpdb->comments.comment_post_ID
				WHERE post_status IN ('publish','static')";

	switch($type) {
		case 'all':
			// add nothing
			break;
		case 'comment_only':
			//
			$request .= "AND $wpdb->comments.comment_type='' ";
			break;
		case 'trackback_only':
			$request .= "AND ( $wpdb->comments.comment_type='trackback' OR $wpdb->comments.comment_type='pingback' ) ";
			break;
	 default:
 		//
			break;

	}

	if (!$show_pass_post) $request .= "AND post_password ='' ";

	$request .= "AND comment_approved = '1' ORDER BY comment_ID DESC LIMIT $no_comments";

	$comments = $wpdb->get_results($request);
    $output = '';
	if ($comments) {
    	foreach ($comments as $comment) {

			// Permalink to post/comment
			$loop_res['permalink'] = get_permalink($comment->ID). '#comment-' . $comment->comment_ID;

			// Title of the post
			$loop_res['post_title'] = stripslashes($comment->post_title);
			$loop_res['post_title'] = wordwrap($loop_res['post_title'], $wordwrap_length, ' ' , 1);

			if (strlen($loop_res['post_title']) >= $title_length) {
				$loop_res['post_title'] = substr($loop_res['post_title'], 0, $title_length) . '&#8230;';
			}

			// Author's name only
        	$loop_res['author_name'] = stripslashes($comment->comment_author);
			$loop_res['author_name'] = wordwrap($loop_res['author_name'], $wordwrap_length, ' ' , 1);

			if ($loop_res['author_name'] == '') $loop_res['author_name'] = $mwlang_anonymous;
			if (strlen($loop_res['author_name']) >= $author_length) {
				$loop_res['author_name'] = substr($loop_res['author_name'], 0, $author_length) . '&#8230;';
			}

			// Full author (link, name)
			$author_url = $comment->comment_author_url;
			if (empty($author_url)) {
				$loop_res['author_full'] = $loop_res['author_name'];
			} else {
				$loop_res['author_full'] = '<a href="' . $author_url . '" title="' . $mwlang_authorurl_title_before . $loop_res['author_name'] . $mwlang_authorurl_title_after . '">' . $loop_res['author_name'] . '</a>';
			}

/*
			// Comment excerpt
			$comment_excerpt = strip_tags($comment->comment_content);
			$comment_excerpt = stripslashes($comment_excerpt);
			if (strlen($comment_excerpt) >= $comment_length) {
				$comment_excerpt = substr($comment_excerpt, 0, $comment_length) . '...';
			}

*/

			// Comment type
			if ( $comment->comment_type == 'pingback' ) {
				$loop_res['comment_type'] = $type_text_pingback;
			} elseif ( $comment->comment_type == 'trackback' ) {
				$loop_res['comment_type'] = $type_text_trackback;
			} else {
				$loop_res['comment_type'] = $type_text_comment;
			}

			// Date of comment
			$loop_res['comment_date'] = mysql2date($date_format, $comment->comment_date);

			// Output element
			$element_loop = str_replace('%permalink%', $loop_res['permalink'], $format);
			$element_loop = str_replace('%title%', $loop_res['post_title'], $element_loop);
			$element_loop = str_replace('%author_name%', $loop_res['author_name'], $element_loop);
			$element_loop = str_replace('%author_full%', $loop_res['author_full'], $element_loop);
			$element_loop = str_replace('%date%', $loop_res['comment_date'], $element_loop);
			$element_loop = str_replace('%type%', $loop_res['comment_type'], $element_loop);


			$output .= $element_loop . "\n";


		} //foreach

		$output = convert_smilies($output);

	} else {
		$output .= $none_found;
    }

    echo $output;
}




if ( function_exists('register_sidebars') )  {

register_sidebars(1, array(
        'before_widget' => '<div class="box" id="widget %2$s"><div class="topbox"></div><div class="ulbox">',
        'after_widget' => '</ul></div><div class="bottombox"></div></div>',
        'before_title' => '<h2>',
        'after_title' => '</h2><ul class="arrow">',
       ));

    function unregister_problem_widgets() {
unregister_sidebar_widget('Calendar');
unregister_sidebar_widget('Search');
unregister_sidebar_widget('Links');
unregister_sidebar_widget('RSS 1');
unregister_sidebar_widget('Text 1');
}
add_action('widgets_init','unregister_problem_widgets');
}




// below are widget custom to custom the widget looks without the default //



function widget_mytheme_blogroll() {
?>
<div class="box">
<div class="topbox"></div>
<div class="ulbox">
<h2><span class="pink">B</span>logroll</h2>
<ul class="arrow">
<?php get_links(-1, '<li>', '</li>', ' - '); ?>
</ul>
</div>
<div class="bottombox"></div>
</div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Blogroll'), 'widget_mytheme_blogroll');


function widget_mytheme_mycalendar() {
?>
<div class="box">
    <div class="topbox"></div>
	<div class="ulbox">
    <?php get_calendar(2); ?>
    </div>
	<div class="bottombox"></div>
  </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Calendars'), 'widget_mytheme_mycalendar');

function widget_mytheme_mysearch() {
?>
<div class="box">
    <div class="topbox"></div>
	<div class="ulbox">
	<h2><span class="pink">S</span>earch</h2>

	<form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">

	<p id="sb"><input name="s" type="text" id="s" value="<?php echo wp_specialchars($s, 1); ?>"/></p>

	<p id="sk"><input name="submit" type="image" id="submit"  value="." src="<?php bloginfo('stylesheet_directory'); ?>/images/s.gif" /></p>

	</form>

	</div>
	<div class="bottombox"></div>
  </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('SearchBox'), 'widget_mytheme_mysearch');


////////////////////////////////////////////////////////////////////////////////
// Dezzain Theme
////////////////////////////////////////////////////////////////////////////////

function Velle_add_theme_page() {

    add_theme_page("Velle Elle", "Velle Elle", 'edit_themes', basename(__FILE__), 'Velle_theme_page');

}

function Velle_theme_page() {

?>

<div class="wrap">
<br />
<h2>Velle Elle</h2>

<div class="block">
<p>Thank you for using the theme "Velle Elle" I appreciate it and hope that it serves you well! If you have any questions that are not answered below, feel free to visit the theme support page at <a href="http://www.dezzain.com">Dezzain</a> Design</p>

<br /><br />
<p>

<h2>FAQ and Tips</h2>
<p><b>1. How do i manually add another custom sidebar box</b>
<br />
<br />
Open sidebar.php and find the div class &quot;box&quot;
<br /><br />

<tt>

&lt;div class="box"&gt; <br />
&lt;div class="topbox"&gt; <br />
&lt;div class="ulbox"&gt;
<br />
<br />
---CONTENT HERE---
<br />
<br />
&lt;/div&gt; <br />
&lt;div class="bottombox"&gt; <br />
&lt;/div&gt;
<br />
</tt>
<br />

**********************************
<h3>Sample</h3>
&lt;div class="box"&gt; <br />
&lt;div class="topbox"&gt; <br />
&lt;div class="ulbox"&gt;
<br />
<br />
&lt;h2&gt;&lt;span class="pink"&gt;T&lt;/span&gt;itle here&lt;/h2&gt; -- this is for title with first letter pink--
<br />
<br />
&lt;ul class="arrow"&gt; -- this is class for arrow li links --
<br /><br />
--PHP CODE HERE--
<br /><br />
&lt;/ul&gt;
<br />
<br />
&lt;/div&gt; <br />
&lt;div class="bottombox"&gt; <br />
&lt;/div&gt;
<br />
**********************************

<br /><br />
</p>


<br />
<p><b>2. Can I remove the link below the footer</b>
<br />
No. Since the theme is license under Creative Common ShareAlike. You must provide linkback for author for future reference and i would really appreciated if the footer link remain intact....Thanks
</p>

<br />
<p><b>3. Can I sell the theme and claimed it as my design</b>
<br />
No. the design is unique from Dezzain and are not allowed to duplicate or edit and sell as another stand alone product.
</p>

<br />
<p><b>4. I see many plugin function inside the theme code, is it ok to use the theme without the plugin?</b>
<br />
Yes, the code inside the theme is already coded with call function and if you prefer not to used the plugin or do not have the plugin install, the secondary function will be called so don't worry...
</p>


</div>
<?php
}
add_action('admin_menu', 'Velle_add_theme_page');
?>